dofile('data/Scenes/29_firetemple_2_Animation.lua')

local PATH_COMICS_29_ON_SHOWN          	= 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_29_SARCOPHAGUS_COVER 	= 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_29_SCHEME          	= 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_29_TORCH          	= 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_29_SEQUENCE          	= 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_29_ON_WIN          	= 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_29_BULB         	    = 'data/Scenes/Comics/HelpersComicsReplic.lua'

local PATH_COMICS_29_ON_WIN_BOY_ANGRY           = 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_29_ON_WIN_BOY_SURPRISE        = 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_29_ON_WIN_BOY_WITH_CHOCOLATE  = 'data/Scenes/Comics/HelpersComicsReplic.lua'

function OnSceneLoad(screen)
    LoadData(screen)
    DefaultOnSceneLoad(screen:GetName())

    local pf = play_field
    local level = pf:GetLevelScreen()
	---------------------------------------------------------------------------------------------	
	AddRandomTasks(16,
               CreateTask('TURTLE', '', 'turtle'),
               CreateTask('ARROW', '', 'arrow'),
               CreateTask('BOWL', '', 'bawl'),
               CreateTask('BIRD', '', 'bird'),
               CreateTask('BONE', '', 'bone'),
			   CreateTask('RIBS', '', 'bones'),
               CreateTask('BOOKS', '', 'books'),
               CreateTask('BOOMERANG', '', 'boomerang'),
               CreateTask('BOW', '', 'bow'),
			   CreateTask('BRACELET', '', 'bracelet'),
			   CreateTask('BUG', '', 'bug'),
			   CreateTask('CENTIPEDE', '', 'centipede'),			   
			   CreateTask('CRYSTAL', 'CRYSTALS', 'cristal', 'ruby'),			   
               CreateTask('BUTTERFLY', 'BUTTERFLIES', 'butterfly', 'butterfly2'),
               CreateTask('CARAVAN', '', 'caravan'),
               CreateTask('COCONUT', '', 'coconut'),
               CreateTask('COIN', 'COINS', 'coin', 'coin2'),
               CreateTask('EAR', '', 'ear'),
               CreateTask('FAN', '', 'fan'),
               CreateTask('FEATHER', '', 'feather'),
               CreateTask('FISH', 'FISH', 'fish', 'fish2'),
               CreateTask('FLOWER', '', 'flower'),
               CreateTask('FROG', '', 'frog'),
               CreateTask('HORSESHOE', '', 'horseshoe'),
               CreateTask('HOURGLASS', '', 'hourglass'),
               CreateTask('KEYS', '', 'keys'),
			   CreateTask('KNIFE', '', 'knife'),
			   CreateTask('LADYBUG', '', 'ladybug'),
               CreateTask('LAMP', 'LAMPS', 'lamp', 'lamp2'),
               CreateTask('LETTER_A', '', 'letter_A'),
               CreateTask('MASK', '', 'mask'),
               CreateTask('MOON', '', 'moon'),
               CreateTask('MUSHROOMS', '', 'mushroom'),
               CreateTask('NEFERTITI', '', 'nefertiti'),
			   CreateTask('NUMBER_4', '', 'number_4'),
               CreateTask('ONE', '', 'one'),
               CreateTask('PINE_CONE', '', 'pine'),
			   CreateTask('PEARL', '', 'pearl'),
			   CreateTask('PIN', '', 'pin'),
			   CreateTask('RING', '', 'ring'),
               CreateTask('SACK', '', 'sack'),
			   CreateTask('SNAIL', '', 'snail'),
               CreateTask('SCARAB', '', 'scarab'),
               CreateTask('SCISSORS', '', 'scissors'),
               CreateTask('SEASHELL', 'SEASHELLS', 'seashell', 'seashell2'),
               CreateTask('SKULL', '', 'skull'),
               CreateTask('SNAKE', '', 'snake'),
               CreateTask('SUN', '', 'solar'),
			   CreateTask('SPIRAL', '', 'spiral'),
               CreateTask('STAR', '', 'star'),
               CreateTask('SWORD', '', 'sword'),
               CreateTask('TRIANGLE', '', 'triangle')
	)
	---------------------------------------------------------------------------------------------
	local clickOnScheme = function(save)
	    if not save then
            AddGameState(game_state.scene_path, 'ClickOnScheme')
            SetApplyActionPhotoZone(photo_lighter, {'torch4', 'torch3', 'torch2', 'torch1'}, apply_action_lighter)
            game_state.chain_scheme.Play()
            DisableZoomZoneRequest(game_state.zone_amphora)
        end
	end
	RegisterActiveObject('pixel_scheme', clickOnScheme, false, GetCursorArms())	
	---------------------------------------------------------------------------------------------
	pf:GetObject('bulb'):SetMaxOpacity(0)
	pf:GetObject('green_bulb'):SetMaxOpacity(0)
	---------------------------------------------------------------------------------------------	
	RegisterInactiveGroup('UnderCover',
						  'bones', 
						  'bug', 
						  'cristal', 
						  'knife', 
						  'lamp2', 
						  'pearl', 
						  'ruby', 
						  'seashell2', 
						  'snail', 
						  'spiral')
	---------------------------------------------------------------------------------------------
	pf:GetObject('pixel_scheme'):SetMaxOpacity(0.01)
	local zone_amphora = CreateZoomZone('close_zone_amphora',
                                       'pixel_amphora',
                                       'ZoomAmphoraBg',
                                       'butterfly2',
                                       'bracelet',						   
                                       'coin2',
                                       'fish2',
                                       'centipede',
                                       'ladybug',						   
                                       'number_4',
                                       'pin',
                                       'ring',						   
                                       'L_Braslet',
                                       'pixel_scheme')
    zone_amphora.OnHidden = function()
        OnWin()
    end
    game_state.zone_amphora = zone_amphora
	---------------------------------------------------------------------------------------------
	pf:GetObject('Krishka'):SetOpacity(0)
	---------------------------------------------------------------------------------------------
	pf:GetObject('pixel_bulb'):SetMaxOpacity(0.01)
	pf:GetObject('pixel_sarcophagus_cover'):SetMaxOpacity(0.01)
	---------------------------------------------------------------------------------------------
	local zone_sarcophagus = CreateZoomZone('close_zone_sarcophagus',
                                           'pixel_sarcophagus',
                                           'ZoomBgSarcophagusOpen',
                                           'L_items',
                                           'bones',
                                           'bug',
                                           'cristal',
                                           'knife',
                                           'lamp2',
                                           'pearl',
                                           'ruby',
                                           'seashell2',
                                           'snail',
                                           'spiral',
                                           'L_Kolba',
                                           'green_bulb',
                                           'bulb',
                                           'lighter',
                                           'ZoomBgSarcophagusClose',
                                           'pixel_bulb',
                                           'pixel_sarcophagus_cover'
                                          )
    zone_sarcophagus.OnHidden = function()
        OnWin()
    end
	---------------------------------------------------------------------------------------------
	local clickOnSarcophagusCover = function(save)
	    if not save then
		    game_state.chain_sarcophagus_cover.Play()
		end
	end
	RegisterActiveObject('pixel_sarcophagus_cover', clickOnSarcophagusCover, true, GetCursorArms())	
	---------------------------------------------------------------------------------------------
	pf:GetObject('fire1'):SetOpacity(0)
	pf:GetObject('fire2'):SetOpacity(0)
	pf:GetObject('fire3'):SetOpacity(0)
	pf:GetObject('fire4'):SetOpacity(0)
	
	local photo_action_lighter = function()                                	                                
                             end    
    apply_action_lighter = function(save, target)        
        game_state.apply_action_l(save, target)                
    end
	
    local OpenSarcophagus = function(save)
        if save then
            play_field:GetObject('Krishka'):SetOpacity(1)
        else
            play_field:GetObject('Krishka'):ChangeOpacity(0, 1, 0.3)
        end
        UnregisterInactiveGroup('UnderCover')
        pf:GetObject('ZoomBgSarcophagusClose'):SetMaxOpacity(0)
        pf:GetObject('pixel_sarcophagus_cover'):SetMaxOpacity(0)
        pf:GetObject('pixel_sarcophagus_cover'):SetOpacity(0)
        UnregisterActiveObject('pixel_sarcophagus_cover')
		if not save then
			MakeSoundEntity('29_sarcophagus'):Play(false)
		end
    end	
	
	game_state.sounds = {}
	game_state.sounds.torch_back_right = MakeSoundEntity('29_torch_back_right')
	game_state.sounds.torch_back_left  = MakeSoundEntity('29_torch_back_left')
	game_state.sounds.torch_front_right  = MakeSoundEntity('29_torch_front_right')
	game_state.sounds.torch_front_left  = MakeSoundEntity('29_torch_front_left')
    
    game_state.apply_action_l = function(save, target)
                               local ResetTorches = function()
                                    RemoveGameState('LastTorchFired')                                    
                                    photo_lighter.zone.ClearSave()
									SetApplyActionPhotoZone(photo_lighter, {'torch1', 'torch2', 'torch3', 'torch4'}, apply_action_lighter)
									-- photo_lighter.zone.ClearSave()
									play_field:GetObject('fire1'):SetOpacity(0)
									play_field:GetObject('fire2'):SetOpacity(0)
									play_field:GetObject('fire3'):SetOpacity(0)
									play_field:GetObject('fire4'):SetOpacity(0)
									for i, v in pairs(game_state.sounds) do
										v:StopSound()
									end
                               end
							   
							    if not save then
									if not HasGameState('LastTorchFired')  then									
										if target == 'torch4' then
											AddGameState('LastTorchFired', '4')
											SetApplyActionPhotoZone(photo_lighter, {'torch1', 'torch2', 'torch3'}, apply_action_lighter)
											play_field:GetObject('fire4'):ChangeOpacity(0, 1, 0.1)
											game_state.sounds.torch_front_left:Play(true)
											return
										else
											ResetTorches()
										end
									end
									
									if HasGameState('LastTorchFired', '4') then
										if target == 'torch3' then
											SetGameState('LastTorchFired', '3')
											SetApplyActionPhotoZone(photo_lighter, {'torch1', 'torch2'}, apply_action_lighter)
											play_field:GetObject('fire3'):ChangeOpacity(0, 1, 0.1)
											game_state.sounds.torch_back_right:Play(true)
											return
										else
											ResetTorches()
										end
									end
									
									if HasGameState('LastTorchFired', '3') then
										if target == 'torch2' then
											SetGameState('LastTorchFired', '2')
											SetApplyActionPhotoZone(photo_lighter, 'torch1', apply_action_lighter)
											play_field:GetObject('fire2'):ChangeOpacity(0, 1, 0.1)
											game_state.sounds.torch_back_left:Play(true)
											return
										else
											ResetTorches()
										end
									end
									
									if HasGameState('LastTorchFired', '2') then
										if target == 'torch1' then
											SetGameState('LastTorchFired', '1')
											play_field:GetObject('fire1'):ChangeOpacity(0, 1, 0.1)
											UnregisterPhotoZone('lighter')
											game_state.sounds.torch_front_right:Play(true)
											OpenSarcophagus(save)
											return
										else
											ResetTorches()
										end
									end								
								end
                             end
							 
	photo_lighter = CreatePhotoZoneEx('lighter',
									  'lighter_tool',
									'LIGHTER',
									'lighter_photo',
									nil,
									nil,--{'torch4', 'torch3', 'torch2', 'torch1'},
									nil,
									true)
	if not HasGameState('LastTorchFired') then
	    if HasGameState(game_state.scene_path, 'ClickOnScheme') then
		    SetApplyActionPhotoZone(photo_lighter, {'torch4', 'torch3', 'torch2', 'torch1'}, apply_action_lighter)
		end
	else	
		if HasGameState('LastTorchFired', '4') then
			play_field:GetObject('fire4'):SetOpacity(1)
			SetApplyActionPhotoZone(photo_lighter, {'torch3', 'torch2', 'torch1'}, apply_action_lighter)
			game_state.sounds.torch_front_left:Play(true)
		elseif HasGameState('LastTorchFired', '3') then
			play_field:GetObject('fire4'):SetOpacity(1)
			play_field:GetObject('fire3'):SetOpacity(1)			
			game_state.sounds.torch_front_left:Play(true)
			game_state.sounds.torch_back_right:Play(true)			
			SetApplyActionPhotoZone(photo_lighter, {'torch2', 'torch1'}, apply_action_lighter)
		elseif HasGameState('LastTorchFired', '2') then
			play_field:GetObject('fire4'):SetOpacity(1)
			play_field:GetObject('fire3'):SetOpacity(1)										
			play_field:GetObject('fire2'):SetOpacity(1)		
			game_state.sounds.torch_front_left:Play(true)
			game_state.sounds.torch_back_right:Play(true)	
			game_state.sounds.torch_back_left:Play(true)
			SetApplyActionPhotoZone(photo_lighter, {'torch1'}, apply_action_lighter)			
		elseif HasGameState('LastTorchFired', '1') then
			pf:GetObject('fire4'):SetOpacity(1)
			pf:GetObject('fire3'):SetOpacity(1)										
			pf:GetObject('fire2'):SetOpacity(1)
			pf:GetObject('fire1'):SetOpacity(1)		
			game_state.sounds.torch_front_left:Play(true)
			game_state.sounds.torch_back_right:Play(true)	
			game_state.sounds.torch_back_left:Play(true)
			game_state.sounds.torch_front_right:Play(true)
			OpenSarcophagus(true)
			
			photo_lighter.zone.ClearHighlight('torch1')
			photo_lighter.zone.ClearHighlight('torch2')
			photo_lighter.zone.ClearHighlight('torch3')
			photo_lighter.zone.ClearHighlight('torch4')
			UnregisterPhotoZone('lighter')
        end
	end
	
	game_state.dust = createCompositionlok29()
	game_state.dust:AttachTo(play_field)
	game_state.dust:SetZ(160)
	game_state.dust:SetCyclic(true)
	game_state.dust:Stop()
	game_state.dust:SetVisible(false)
	
	local photo_action_green_bulb = function()                                
                             end
    local apply_action_green_bulb = function(save)                                
								pf:GetObject('bulb'):SetMaxOpacity(1)
								pf:GetObject('green_bulb'):SetMaxOpacity(1)
								game_state.dust:Play()
								game_state.dust:SetVisible(true)
                                if save then
                                else
									pf:GetObject('bulb'):ChangeOpacity(0, 1, 0.1)
								    pf:GetObject('green_bulb'):ChangeOpacity(0, 1, 0.1)
									TimerDo(play_field:GetTimer(), 1, function()
												                            zone_sarcophagus.SetVisible(false)
												                            DisableZoomZoneRequest(zone_sarcophagus)
                                                                        end)
                                                                        
                                    MakeSoundEntity('29_input_artefact'):Play(false)
                                end
							  end
	photo_bulb = CreatePhotoZoneEx(nil, 'bulb_tool', 
									     'GREEN_BULB',
									     'green_bulb_photo',
									     photo_action_green_bulb,
									     'pixel_bulb',
									     apply_action_green_bulb)
	photo_bulb.zone.SetPhotoMade()
	---------------------------------------------------------------------------------------------
	-- Layer Layer_2
	local spider = createCompositionpauk_na_pautine()
	spider:AttachTo(play_field)
	spider:SetZ(160)
	spider:SetHotSpot(86, 384);	
	spider:SetXY(863, 249);	
	spider:Stop()
	spider:SetDestroysOnEnd(false)
	PlayCompositionPeriodicallyVsRandDelay(spider, 1, 2)
	
	local rat_eating1 = createCompositionrat_eating()
	rat_eating1:AttachTo(pf)
	rat_eating1:SetZ(155)				
	rat_eating1:SetXY(850, 630)
	rat_eating1:SetScaleX(0.25260416666667)
	rat_eating1:SetScaleY(0.23372395833333)	
	rat_eating1:SetCyclic(true)
	
	local rat_eating2 = createCompositionrat_eating()
	rat_eating2:AttachTo(pf)
	rat_eating2:SetZ(155)				
	rat_eating2:SetXY(356, 675);
	rat_eating2:SetScaleX(-0.20945816972077)
	rat_eating2:SetScaleY(0.20580074716405)
	rat_eating2:PlayAt(3)
	rat_eating2:SetCyclic(true)
	
	local rat_running = createCompositionRunningRat()
	rat_running:AttachTo(pf)	
	rat_running:SetZ(155)			
	rat_running:Stop()
	rat_running:SetDestroysOnEnd(false)
	PlayCompositionPeriodicallyVsRandDelay(rat_running, 10, 15)
	---------------------------------------------------------------------------------------------
	game_state.chain_on_shown = RegisterComicsEx(function()
												LoadComicsWithOneReplicHeroes(PATH_COMICS_29_ON_SHOWN, 'COMICS_29_ON_SHOWN')
											  end )
	game_state.chain_sarcophagus_cover = RegisterComicsEx(function()
												LoadComicsWithOneReplicHeroes(PATH_COMICS_29_SARCOPHAGUS_COVER, 'COMICS_29_SARCOPHAGUS_COVER')
											  end )
    game_state.chain_sarcophagus_cover.SetRepeat(true)
	game_state.chain_scheme = RegisterComicsEx(function()
												LoadComicsWithOneReplicHeroes(PATH_COMICS_29_SCHEME, 'COMICS_29_SCHEME')
											  end )
	game_state.chain_torch = RegisterComicsEx(function()
												LoadComicsWithOneReplicHeroes(PATH_COMICS_29_TORCH, 'COMICS_29_TORCH')
											  end )
	game_state.chain_sequence = RegisterComicsEx(function()
												LoadComicsWithOneReplicHeroes(PATH_COMICS_29_SEQUENCE, 'COMICS_29_SEQUENCE')
											  end )
    game_state.chain_bulb = RegisterComicsEx(function()
												LoadComicsWithOneReplicHeroes(PATH_COMICS_29_BULB, 'COMICS_29_BULB')
											  end )
    SetHintComicsPhotoZoneEx(photo_bulb, game_state.chain_bulb)

    pf:GetObject('boy_angry'):SetOpacity(0)
    pf:GetObject('boy_surprise'):SetOpacity(0)
    pf:GetObject('boy_with_chocolate'):SetOpacity(0)
    game_state.chain_on_win_boy_angry = RegisterComicsEx(function()
                                                            if game_state.chain_on_win_boy_angry.play then
                                                                return
                                                            end
                                                            game_state.chain_on_win_boy_angry.play = true
                                                            pf:GetObject('boy_angry'):ChangeOpacity(0, 1, 0.2)
                                                            
                                                            LoadComics(PATH_COMICS_29_ON_WIN_BOY_ANGRY, 'COMICS_29_BOY_1')
                                                            CreateOneReplicBoys('COMICS_29_BOY_1', 1)
                                                            CreateOneReplicHeroes('COMICS_29_HEROES_2', 2)
                                                            CreateOneReplicBoys('COMICS_29_BOY_3', 3)
                                                            CreateOneReplicHeroes('COMICS_29_HEROES_4', 4)
                                                         end)
    game_state.chain_on_win_boy_angry.OnHidden = function()
        game_state.chain_on_win_boy_angry.play = false
        pf:GetObject('boy_angry'):ChangeOpacity(1, 0, 0.3)
        game_state.chain_on_win_boy_surprise:Play()
    end
    
    game_state.chain_on_win_boy_surprise = RegisterComicsEx(function()
                                                                pf:GetObject('boy_surprise'):ChangeOpacity(0, 1, 0.2)
    
                                                                LoadComics(PATH_COMICS_29_ON_WIN_BOY_SURPRISE, 'COMICS_29_BOY_5')
                                                                CreateOneReplicBoys('COMICS_29_BOY_5', 5)
                                                                
                                                            end)
    game_state.chain_on_win_boy_surprise.OnHidden = function()
        pf:GetObject('boy_surprise'):ChangeOpacity(1, 0, 0.3)
        game_state.chain_on_win_boy_with_chocolate.Play()
    end
    
    game_state.chain_on_win_boy_with_chocolate = RegisterComicsEx(function()
                                                                    pf:GetObject('boy_with_chocolate'):ChangeOpacity(0, 1, 0.2)
                                                                    
                                                                    LoadComics(PATH_COMICS_29_ON_WIN_BOY_WITH_CHOCOLATE, 'COMICS_29_HEROES_6')
                                                                    CreateOneReplicHeroes('COMICS_29_HEROES_6', 6)
                                                                    CreateOneReplicBoys('COMICS_29_BOY_7', 7)
                                                                    CreateOneReplicHeroes('COMICS_29_HEROES_8', 8)
                                                                  end)
    game_state.chain_on_win_boy_with_chocolate.OnHidden = function()
        pf:GetObject('boy_with_chocolate'):ChangeOpacity(1, 0, 0.3)
        OnWinLevel()
    end

	SetHintComicsPhotoZoneEx(photo_lighter, game_state.chain_torch)
	---------------------------------------------------------------------------------------------
end

function OnSceneFree()
    FreeData()
end

function OnScreenShown(fade_out)
	if fade_out then
		game_state.chain_on_shown.Play()
	end
end

function OnHiddenComics()
end

function OnMinigameCompleted(mini_game)
end

function OnUpdate(dt)
    DefaultOnUpdate(dt)
end

function OnLose()
end

function OnExit()
end

function OnButtonMouseEnter(title)
end

function OnButtonMouseLeave(title)
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    obj_name = object:GetName()
    local pf = play_field
    local is_wrong_click = true

    is_wrong_click = DefaultOnObjectMouseDown(object)
    
    return is_wrong_click
end

function OnObjectMouseUp(object)
end

function OnObjectRightMouseDown(object)
end

function OnObjectRightMouseUp(object)
end

function OnObjectFound(object)
    DefaultOnObjectFound(object)
end

function OnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
    DefaultOnObjectReachPanel(object)
	if object:GetName() == 'green_bulb' then
		play_field:GetObject('bulb'):AttachTo(play_field)
	end
end

function OnPhotographing()
	DefaultOnPhotographing()
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end

function OnLostFocus()
end

function OnGainFocus()
end

function OnWin()
    local pf = play_field
    local level = pf:GetLevelScreen()

    if  --[[IsExistOpenZoomZone() == false and]]
        level:IsCompleteLevel() and
        level:GetPhone():HasTool( pf:GetObject('bulb_tool') ) == false
    then
--        game_state.chain_on_win.Play()
        game_state.chain_on_win_boy_angry.Play()
    end
end

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/Items/arrow.png',0,0,161,25,1,0)
	anim:SetHotSpot(80,12)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('arrow',anim,396,236,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/Items/bird.png',0,0,75,67,1,0)
	anim:SetHotSpot(37,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bird',anim,785,52,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/Items/bone.png',0,0,67,88,1,0)
	anim:SetHotSpot(33,44)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bone',anim,395,141,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/Items/books.png',0,0,78,91,1,0)
	anim:SetHotSpot(39,45)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('books',anim,911,658,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/Items/boomerang.png',0,0,61,70,1,0)
	anim:SetHotSpot(30,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('boomerang',anim,741,307,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/Items/bow.png',0,0,270,46,1,0)
	anim:SetHotSpot(135,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bow',anim,611,228,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/Items/butterfly.png',0,0,53,49,1,0)
	anim:SetHotSpot(26,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('butterfly',anim,276,249,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/Items/caravan.png',0,0,135,40,1,0)
	anim:SetHotSpot(67,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('caravan',anim,825,222,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/Items/coconut.png',0,0,59,64,1,0)
	anim:SetHotSpot(29,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('coconut',anim,715,736,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/Items/coin.png',0,0,50,44,1,0)
	anim:SetHotSpot(25,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('coin',anim,292,582,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/Items/ear.png',0,0,120,127,1,0)
	anim:SetHotSpot(60,63)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ear',anim,480,121,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/Items/fan.png',0,0,111,65,1,0)
	anim:SetHotSpot(55,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fan',anim,535,706,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/Items/feather.png',0,0,91,76,1,0)
	anim:SetHotSpot(45,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('feather',anim,516,122,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/Items/fish.png',0,0,106,38,1,0)
	anim:SetHotSpot(53,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fish',anim,396,218,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/Items/flower.png',0,0,46,50,1,0)
	anim:SetHotSpot(23,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('flower',anim,238,294,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/Items/horseshoe.png',0,0,36,39,1,0)
	anim:SetHotSpot(18,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('horseshoe',anim,785,174,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/Items/hourglass.png',0,0,39,86,1,0)
	anim:SetHotSpot(19,43)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hourglass',anim,937,588,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/Items/keys.png',0,0,40,68,1,0)
	anim:SetHotSpot(20,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('keys',anim,219,531,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/Items/lamp.png',0,0,44,103,1,0)
	anim:SetHotSpot(22,51)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lamp',anim,858,131,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/Items/letter_A.png',0,0,28,32,1,0)
	anim:SetHotSpot(14,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('letter_A',anim,988,255,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/Items/mask.png',0,0,50,145,1,0)
	anim:SetHotSpot(25,72)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mask',anim,912,123,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/Items/moon.png',0,0,76,73,1,0)
	anim:SetHotSpot(38,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('moon',anim,387,279,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/Items/mushroom.png',0,0,67,66,1,0)
	anim:SetHotSpot(33,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mushroom',anim,991,143,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/Items/nefertiti.png',0,0,58,123,1,0)
	anim:SetHotSpot(29,61)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('nefertiti',anim,998,578,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/Items/one.png',0,0,27,45,1,0)
	anim:SetHotSpot(13,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('one',anim,233,243,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/Items/pine.png',0,0,75,39,1,0)
	anim:SetHotSpot(37,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pine',anim,918,749,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/Items/sack.png',0,0,96,100,1,0)
	anim:SetHotSpot(48,50)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sack',anim,302,509,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/Items/scarab.png',0,0,70,104,1,0)
	anim:SetHotSpot(35,52)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('scarab',anim,616,50,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/Items/scissors.png',0,0,83,33,1,0)
	anim:SetHotSpot(41,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('scissors',anim,624,753,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/Items/seashell.png',0,0,68,58,1,0)
	anim:SetHotSpot(34,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('seashell',anim,658,704,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/Items/snake.png',0,0,113,63,1,0)
	anim:SetHotSpot(56,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('snake',anim,581,659,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/Items/solar.png',0,0,89,91,1,0)
	anim:SetHotSpot(44,45)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('solar',anim,609,159,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/Items/sword.png',0,0,51,157,1,0)
	anim:SetHotSpot(25,78)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sword',anim,318,110,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/Items/triangle.png',0,0,37,39,1,0)
	anim:SetHotSpot(18,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('triangle',anim,304,626,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/Items/turtle.png',0,0,94,74,1,0)
	anim:SetHotSpot(47,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('turtle',anim,707,660,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/Layers/Krishka.png',0,0,648,258,1,0)
	anim:SetHotSpot(324,129)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Krishka',anim,615,410,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/Layers/torch1.png',0,0,52,39,1,0)
	anim:SetHotSpot(26,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('torch2',anim,323,375,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/Layers/torch2.png',0,0,70,55,1,0)
	anim:SetHotSpot(35,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('torch1',anim,968,449,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/Layers/torch3.png',0,0,54,39,1,0)
	anim:SetHotSpot(27,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('torch3',anim,895,372,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/Layers/torch4.png',0,0,71,53,1,0)
	anim:SetHotSpot(35,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('torch4',anim,250,448,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/ZoomAmphora/Items/butterfly.png',0,0,89,100,1,0)
	anim:SetHotSpot(44,50)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('butterfly2',anim,275,210,501,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/ZoomAmphora/Items/bracelet.png',0,0,150,129,1,0)
	anim:SetHotSpot(75,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('bracelet',anim,472,438,501,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/ZoomAmphora/Items/centipede.png',0,0,126,77,1,0)
	anim:SetHotSpot(63,38)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('centipede',anim,686,181,501,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/ZoomAmphora/Items/coin.png',0,0,54,73,1,0)
	anim:SetHotSpot(27,36)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('coin2',anim,786,208,501,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/ZoomAmphora/Items/fish.png',0,0,139,76,1,0)
	anim:SetHotSpot(69,38)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('fish2',anim,683,456,501,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/ZoomAmphora/Items/ladybug.png',0,0,68,60,1,0)
	anim:SetHotSpot(34,30)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('ladybug',anim,652,241,501,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/ZoomAmphora/Items/number_4.png',0,0,55,53,1,0)
	anim:SetHotSpot(27,26)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('number_4',anim,360,547,501,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/ZoomAmphora/Items/pin.png',0,0,36,113,1,0)
	anim:SetHotSpot(18,56)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pin',anim,230,556,501,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/ZoomAmphora/Items/ring.png',0,0,61,60,1,0)
	anim:SetHotSpot(30,30)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('ring',anim,777,310,501,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/ZoomAmphora/Layers/L_Braslet.png',0,0,177,95,1,0)
	anim:SetHotSpot(88,47)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('L_Braslet',anim,478,489,505,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/ZoomAmphora/Layers/ZoomAmphoraBg.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('ZoomAmphoraBg',anim,512,384,500,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_amphora',anim,812,698,100,0,12,12)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/Layers/BG.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG',anim,512,384,70,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_sarcophagus',anim,620,468,111,0,60,10)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/ZoomSarcophagus/Layers/L_items.png',0,0,640,317,1,0)
	anim:SetHotSpot(320,158)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('L_items',anim,512,465,810,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/ZoomSarcophagus/Items/bones.png',0,0,163,155,1,0)
	anim:SetHotSpot(81,77)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('bones',anim,331,400,801,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/ZoomSarcophagus/Items/bug.png',0,0,44,34,1,0)
	anim:SetHotSpot(22,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bug',anim,455,244,810,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/ZoomSarcophagus/Items/bulb.png',0,0,195,127,1,0)
	anim:SetHotSpot(97,63)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('bulb',anim,525,443,811,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/ZoomSarcophagus/Items/cristal.png',0,0,34,84,1,0)
	anim:SetHotSpot(17,42)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('cristal',anim,422,352,801,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/ZoomSarcophagus/Items/knife.png',0,0,133,119,1,0)
	anim:SetHotSpot(66,59)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('knife',anim,669,511,830,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/ZoomSarcophagus/Items/lamp.png',0,0,130,133,1,0)
	anim:SetHotSpot(65,66)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('lamp2',anim,754,460,801,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/ZoomSarcophagus/Items/pearl.png',0,0,19,19,1,0)
	anim:SetHotSpot(9,9)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pearl',anim,619,508,801,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/ZoomSarcophagus/Items/ruby.png',0,0,48,41,1,0)
	anim:SetHotSpot(24,20)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('ruby',anim,661,274,801,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/ZoomSarcophagus/Items/seashell.png',0,0,47,35,1,0)
	anim:SetHotSpot(23,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('seashell2',anim,627,408,821,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/ZoomSarcophagus/Items/snail.png',0,0,55,38,1,0)
	anim:SetHotSpot(27,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('snail',anim,757,181,801,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/ZoomSarcophagus/Items/spiral.png',0,0,53,46,1,0)
	anim:SetHotSpot(26,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('spiral',anim,606,237,801,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/ZoomSarcophagus/Layers/ZoomBgSarcophagusOpen.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('ZoomBgSarcophagusOpen',anim,512,384,800,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/ZoomSarcophagus/Layers/L_Kolba.png',0,0,262,105,1,0)
	anim:SetHotSpot(131,52)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('L_Kolba',anim,525,466,820,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/ZoomSarcophagus/Animations/green_bulb.png',0,0,85,143,36,36)
	anim:SetHotSpot(42,71)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('green_bulb',anim,512,443,813,-69,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/ZoomSarcophagus/Items/lighter.png',0,0,78,106,1,0)
	anim:SetHotSpot(39,53)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('lighter',anim,531,349,910,-41,0.8,0.8)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/ZoomSarcophagus/Layers/ZoomBgSarcophagusClose.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('ZoomBgSarcophagusClose',anim,512,384,900,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/Photos/lighter_photo.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lighter_photo',anim,94,222,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/ZoomSarcophagus/Items/lighter.png',0,0,78,106,1,0)
	anim:SetHotSpot(39,53)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lighter_tool',anim,108,490,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Animations/fire/fire.png',0,0,157,284,36,20)
	anim:SetHotSpot(78,142)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fire4',anim,256,375,100,0,0.48,0.75)
	local anim = CreateAnimation('data/Texture/Animations/fire/fire.png',0,0,157,284,36,20)
	anim:SetHotSpot(78,142)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fire2',anim,326,319,100,0,0.41,0.6)
	local anim = CreateAnimation('data/Texture/Animations/fire/fire.png',0,0,157,284,36,20)
	anim:SetHotSpot(78,142)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fire3',anim,895,320,100,0,0.39,0.58)
	local anim = CreateAnimation('data/Texture/Animations/fire/fire.png',0,0,157,284,36,20)
	anim:SetHotSpot(78,142)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fire1',anim,972,376,100,0,0.55,0.72)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_bulb',anim,512,431,819,0,18,12)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/ZoomSarcophagus/Items/bulb.png',0,0,195,127,1,0)
	anim:SetHotSpot(97,63)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bulb_tool',anim,111,635,100,0,0.3,0.3)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/Photos/bulb_photo.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('green_bulb_photo',anim,96,439,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_sarcophagus_cover',anim,527,449,901,0,70,40)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_scheme',anim,432,332,510,0,18,18)
	local anim = CreateAnimation('data/Texture/Comics/boy_angry.png',0,0,213,488,1,0)
	anim:SetHotSpot(106,244)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('boy_angry',anim,487,533,900,0,1,1)
	local anim = CreateAnimation('data/Texture/Comics/boy_surprise.png',0,0,213,488,1,0)
	anim:SetHotSpot(106,244)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('boy_surprise',anim,487,533,901,0,1,1)
	local anim = CreateAnimation('data/Texture/Comics/boy_with_chocolate.png',0,0,213,488,1,0)
	anim:SetHotSpot(106,244)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('boy_with_chocolate',anim,486,532,902,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/Items/frog.png',0,0,78,51,1,0)
	anim:SetHotSpot(39,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('frog',anim,385,755,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/Items/skull.png',0,0,55,64,1,0)
	anim:SetHotSpot(27,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('skull',anim,852,51,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/Items/star.png',0,0,42,41,1,0)
	anim:SetHotSpot(21,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('star',anim,915,221,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/29_firetemple_2/Items/bawl.png',0,0,75,50,1,0)
	anim:SetHotSpot(37,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bawl',anim,337,580,100,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
